parameters:
    webkul_prestashop_connector.reader.file.prestashop_product.class: Webkul\PrestashopConnectorBundle\Connector\Reader\Import\PrestashopProductReader
    webkul_prestashop_connector.reader.file.prestashop_attribute.class: Webkul\PrestashopConnectorBundle\Connector\Reader\Import\PrestashopAttributeReader
    webkul_prestashop_connector.reader.file.prestashop_attribute_option.class: Webkul\PrestashopConnectorBundle\Connector\Reader\Import\PrestashopAttributeOptionReader
    webkul_prestashop_connector.reader.file.prestashop_category.class: Webkul\PrestashopConnectorBundle\Connector\Reader\Import\PrestashopCategoryReader
    webkul_prestashop_connector.reader.file.prestashop_family_variant.class: Webkul\PrestashopConnectorBundle\Connector\Reader\Import\PrestashopFamilyVariantReader
    webkul_prestashop_connector.reader.file.prestashop_family.class: Webkul\PrestashopConnectorBundle\Connector\Reader\Import\PrestashopFamilyReader
    webkul_prestashop_connector.reader.file.prestashop_product_model.class: Webkul\PrestashopConnectorBundle\Connector\Reader\Import\PrestashopProductModelReader
    webkul_prestashop_connector.reader.file.prestashop_product_combinations.class: Webkul\PrestashopConnectorBundle\Connector\Reader\Import\PrestashopProductCombinationsReader
    # webkul_prestashop_connector.reader.file.file_iterator.class: Webkul\prestashopProductBundle\Connector\Reader\Import\PrestashopFileIterator

services:

    webkul_prestashop_connector.reader.file.prestashop_product:
        class: '%webkul_prestashop_connector.reader.file.prestashop_product.class%'
        arguments:
            - '@doctrine.orm.entity_manager'
            - '@webkul_prestashop_connector.configuration.service'
            - '@webkul_prestashop_connector.media_path_transform.service'
            - '@webkul_prestashop_connector.repository.credentials'

    webkul_prestashop_connector.reader.file.prestashop_product_combinations:
        class: '%webkul_prestashop_connector.reader.file.prestashop_product_combinations.class%'
        arguments:
            - '@doctrine.orm.entity_manager'
            - '@webkul_prestashop_connector.configuration.service'
            - '@webkul_prestashop_connector.media_path_transform.service'
            - '@webkul_prestashop_connector.repository.credentials'

    webkul_prestashop_connector.reader.file.prestashop_attribute:
        class: '%webkul_prestashop_connector.reader.file.prestashop_attribute.class%'
        arguments:
            - '@doctrine.orm.entity_manager'
            - '@webkul_prestashop_connector.configuration.service'
            - '@webkul_prestashop_connector.repository.credentials'

    webkul_prestashop_connector.reader.file.prestashop_category:
        class: '%webkul_prestashop_connector.reader.file.prestashop_category.class%'
        arguments:
            - '@doctrine.orm.entity_manager'
            - '@webkul_prestashop_connector.configuration.service'
            - '@pim_catalog.repository.category'
            - '@pim_catalog.repository.channel'
            - '@webkul_prestashop_connector.repository.credentials'
    
    webkul_prestashop_connector.reader.file.prestashop_attribute_option:
        class: '%webkul_prestashop_connector.reader.file.prestashop_attribute_option.class%'
        arguments:
            - '@doctrine.orm.entity_manager'
            - '@webkul_prestashop_connector.configuration.service'
            - '@webkul_prestashop_connector.repository.credentials'
    
    webkul_prestashop_connector.reader.file.prestashop_family_variant:
        class: '%webkul_prestashop_connector.reader.file.prestashop_family_variant.class%'
        arguments:
            - '@doctrine.orm.entity_manager'
            - '@webkul_prestashop_connector.configuration.service'
            - '@webkul_prestashop_connector.repository.credentials'
    
    webkul_prestashop_connector.reader.file.prestashop_family:
        class: '%webkul_prestashop_connector.reader.file.prestashop_family.class%'
        arguments:
            - '@pim_connector.array_converter.flat_to_standard.family'
            - '@doctrine.orm.entity_manager'
            - '@webkul_prestashop_connector.configuration.service'
            - '@webkul_prestashop_connector.repository.credentials'
    
    webkul_prestashop_connector.reader.file.prestashop_product_model:
        class: '%webkul_prestashop_connector.reader.file.prestashop_product_model.class%'
        arguments:
            - '@doctrine.orm.entity_manager'
            - '@webkul_prestashop_connector.configuration.service'
            - '@webkul_prestashop_connector.media_path_transform.service'
            - '@webkul_prestashop_connector.repository.credentials'
    
    
